Name:           perl-DBIx-Class-Schema-Loader
Summary:        Dynamic definition of a DBIx::Class::Schema
Version:        0.05003
Release:        2%{?dist}.1
License:        GPL+ or Artistic
Group:          Development/Libraries
Source0:        http://search.cpan.org/CPAN/authors/id/R/RK/RKITOVER/DBIx-Class-Schema-Loader-%{version}.tar.gz 
URL:            http://search.cpan.org/dist/DBIx-Class-Schema-Loader/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:      noarch

BuildRequires:  perl(Carp::Clan)
BuildRequires:  perl(Class::Accessor::Grouped) >= 0.09002
BuildRequires:  perl(Class::C3) >= 0.18
BuildRequires:  perl(Class::C3::Componentised) >= 1.0005
BuildRequires:  perl(Class::Inspector)
BuildRequires:  perl(Class::Unload)
BuildRequires:  perl(CPAN)
BuildRequires:  perl(Data::Dump) >= 1.06
BuildRequires:  perl(DBD::SQLite) >= 1.12
BuildRequires:  perl(DBI) >= 1.56
BuildRequires:  perl(DBIx::Class) >= 0.08114
BuildRequires:  perl(Digest::MD5) >= 2.36
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Path) >= 2.07
BuildRequires:  perl(File::Slurp) >= 9999.13
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp) >= 0.16
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(Lingua::EN::Inflect::Number) >= 1.1
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(namespace::autoclean)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More) >= 0.92
BuildRequires:  perl(Text::Balanced)

Requires:       perl(Carp::Clan)
Requires:       perl(Class::Accessor::Grouped) >= 0.09002
Requires:       perl(Class::C3) >= 0.18
Requires:       perl(Class::C3::Componentised) >= 1.0005
Requires:       perl(Class::Inspector)
Requires:       perl(Class::Unload)
Requires:       perl(Data::Dump) >= 1.06
Requires:       perl(DBIx::Class) >= 0.08114
Requires:       perl(Digest::MD5) >= 2.36
Requires:       perl(File::Slurp) >= 9999.13
Requires:       perl(File::Spec)
Requires:       perl(Lingua::EN::Inflect::Number) >= 1.1
Requires:       perl(List::MoreUtils)
Requires:       perl(namespace::autoclean)
Requires:       perl(Scalar::Util)
Requires:       perl(Text::Balanced)

%{?perl_default_filter}
%{?perl_default_subpackage_tests}

%description
DBIx::Class::Schema::Loader automates the definition of a
DBIx::Class::Schema by scanning database table definitions
and setting up the columns, primary keys, and relationships.

%prep
%setup -q -n DBIx-Class-Schema-Loader-%{version}

sed -i -e '/auto_install/d' Makefile.PL

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} +
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
export SCHEMA_LOADER_TESTS_BACKCOMPAT=1
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man[13]/*
%{_bindir}/*

%changelog
* Thu Sep 09 2010 Iain Arnell <iarnell@gmail.com> 0.05003-2.1
- update to latest from rawhide
- disable Module::AutoInstall as we don't have new enough Test::More

* Tue Feb 23 2010 Chris Weyl <cweyl@alumni.drew.edu> 0.05003-1
- switch filtering systems
- add files in bin && man1
- enable back-compat testing
- update by Fedora::App::MaintainerTools 0.003
- PERL_INSTALL_ROOT => DESTDIR
- added a new br on perl(Class::Accessor::Grouped) (version 0.09002)
- added a new br on perl(Class::C3::Componentised) (version 1.0005)
- added a new br on perl(Class::Unload) (version 0)
- altered br on perl(DBIx::Class) (0.07006 => 0.08114)
- added a new br on perl(File::Copy) (version 0)
- altered br on perl(File::Path) (0 => 2.07)
- added a new br on perl(File::Slurp) (version 9999.13)
- added a new br on perl(File::Temp) (version 0.16)
- added a new br on perl(IPC::Open3) (version 0)
- added a new br on perl(List::MoreUtils) (version 0)
- added a new br on perl(Test::Exception) (version 0)
- altered br on perl(Test::More) (0.47 => 0.92)
- added a new br on perl(namespace::autoclean) (version 0)
- dropped old BR on perl(Class::Accessor::Fast)
- dropped old BR on perl(Class::Data::Accessor)
- dropped old BR on perl(Test::Pod)
- dropped old BR on perl(Test::Pod::Coverage)
- dropped old BR on perl(UNIVERSAL::require)
- dropped old BR on perl(YAML::Tiny)
- added a new br on CPAN (inc::Module::AutoInstall found)
- added a new req on perl(Carp::Clan) (version 0)
- added a new req on perl(Class::Accessor::Grouped) (version 0.09002)
- added a new req on perl(Class::C3) (version 0.18)
- added a new req on perl(Class::C3::Componentised) (version 1.0005)
- added a new req on perl(Class::Inspector) (version 0)
- added a new req on perl(Class::Unload) (version 0)
- added a new req on perl(DBIx::Class) (version 0.08114)
- added a new req on perl(Data::Dump) (version 1.06)
- added a new req on perl(Digest::MD5) (version 2.36)
- added a new req on perl(File::Slurp) (version 9999.13)
- added a new req on perl(File::Spec) (version 0)
- added a new req on perl(Lingua::EN::Inflect::Number) (version 1.1)
- added a new req on perl(List::MoreUtils) (version 0)
- added a new req on perl(Scalar::Util) (version 0)
- added a new req on perl(Text::Balanced) (version 0)
- added a new req on perl(namespace::autoclean) (version 0)
- dropped old requires on perl(Class::Accessor::Fast)
- dropped old requires on perl(Class::Data::Accessor)

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.04006-6
- rebuild against perl 5.10.1

* Wed Aug 05 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.04006-5
- Remove R: DBIX::Class.

* Wed Aug 05 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.04006-4
- Fix mass rebuild breakdown:
  Replace bundled Module-Install with Module-Install-0.91.
  Add --skipdeps.

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04006-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 26 2009 Tom "spot" Callaway <tcallawa@redhat.com> 0.04006-2
- fix duplicate directory ownership (perl-DBIx-Class owns %{perl_vendorlib}/DBIx/Class/)

* Wed Jun 03 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.04006-1
- auto-update to 0.04006 (by cpan-spec-update 0.01)
- altered br on perl(ExtUtils::MakeMaker) (0 => 6.42)
- altered br on perl(Test::More) (0 => 0.47)

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04005-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jul 23 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.04005-2
- bump

* Mon Jun 02 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.04005-1
- update to 0.4005
- filter _docdir requires/provides

* Mon Mar 17 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.04004-1
- brush-up for review submission

* Wed Oct 17 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.04003-1
- Specfile autogenerated by cpanspec 1.71.
